#
# spec file for package perl-Mojolicious-Plugin-CHI
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Mojolicious-Plugin-CHI
Version:        0.20
Release:        1.19
%define cpan_name Mojolicious-Plugin-CHI
Summary:        Use CHI Caches in Mojolicious
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AK/AKRON/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CHI) >= 0.58
BuildRequires:  perl(Digest::JHash) >= 0.05
BuildRequires:  perl(Mojolicious) >= 4.77
BuildRequires:  perl(Test::Memory::Cycle) >= 1.06
BuildRequires:  perl(Test::Output) >= 1
Requires:       perl(CHI) >= 0.58
Requires:       perl(Digest::JHash) >= 0.05
Requires:       perl(Mojolicious) >= 4.77
%{perl_requires}

%description
Mojolicious::Plugin::CHI is a simple plugin to work with CHI caches within
Mojolicious.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes
%license LICENSE

%changelog
* Wed Nov 28 2018 Max Lin <mlin@suse.com>
- Update to 0.20
  * Fix tests for Mojolicious > 8.06 compatibility.
* Fri Oct 12 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Update to 0.19, fix build
  - Fix tests for Mojolicious > 8.01 compatibility.
* Sat Sep 22 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.18
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-CHI/Changes
* Sat Sep 10 2016 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-CHI/Changes
  0.15 2016-09-09
  - Fixed command namespace pushing to be limited.
* Wed Aug 31 2016 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-CHI/Changes
  0.14 2016-08-30
  - Fixed META_MERGE in Makefile.
* Mon Apr  4 2016 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-CHI/Changes
  0.13 2016-04-01
  - Added dependency of Digest::JHash,
  as there seem to be broken builds of CHI out there
  (dependencies in CHI are correkt; cpantesters).
* Sun Nov 15 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-CHI/Changes
  0.12 2015-11-14
  - Removed smartmatch in tests.
  - Made dependencies more concrete.
* Sat Apr 25 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-CHI/Changes
  0.11 2015-01-16
  - Improve error handling in commands.
  0.10 2015-01-16
  - Improve documentation regarding precedence of configuration.
  - Improve config check.
  - Improve license information in M::P::CHI::chi.
  - Update year.
* Mon Apr 21 2014 mlin@suse.com
- Update to version 0.09
  * Bugfix test suite.
* Mon Apr 21 2014 mlin@suse.com
- Update to version 0.08
  * Logging now defaults to application log.
  * Update requirements.
  * Added commands.
* Wed Apr  2 2014 mlin@suse.com
- Update to 0.07
  - Update year.
  - Documentation tweaks on CHI.
  - Fixed License issue (now coherent Artistic License 2.0)
* Thu Mar 27 2014 cfarrell@suse.com
- license update: Artistic-2.0
  See LICENSE
* Wed Mar 26 2014 mlin@suse.com
- initial package 0.06
